Create a monitor
Start monitoring a company so registry changes are recorded as change events.
Authorization
api_key Sign up at Kausate.com to get an API key
In: header
Header Parameters
"2026-05-01"dateRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.kausate.com/v2/monitors" \ -H "Kausate-Version: 2026-05-01" \ -H "Content-Type: application/json" \ -d '{ "kausateId": "string", "sources": [ "string" ] }'{
"monitorId": "075fef10-8522-4c43-ac39-f1796133943e",
"kausateId": "string",
"companyName": "string",
"sources": [
"string"
],
"categoriesFilter": [
"string"
],
"eventCodesFilter": [
"string"
],
"autoDeactivateCategories": [
"string"
],
"scheduleCron": "string",
"webhookUrl": "string",
"metadata": {},
"isActive": true,
"deactivationReason": "string",
"createdAt": "2019-08-24T14:15:22Z",
"apiUrl": "string"
}{
"detail": "Not authenticated",
"code": "auth.unauthorized",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Invalid API key",
"code": "auth.forbidden",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Company not found",
"code": "company.not_found",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": [
{
"loc": [
"body",
"jurisdictionCode"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "An internal error occurred",
"code": "internal.unexpected",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}Last updated on